# Asymmetric adhesion of rod-shaped bacteria controls microcolony morphogenesis

## Abstract
Surface colonization underpins microbial ecology on terrestrial environments. Although factors that
mediate bacteria–substrate adhesion have been extensively studied, their spatiotemporal dynamics
during the establishment of microcolonies remains largely unexplored.
Here, we use laser ablation and force microscopy to monitor single-cell adhesion during the course
of microcolony formation.
We find that adhesion forces of the rod-shaped bacteria Escherichia coli and Pseudomonas aeruginosa
are polar.
This asymmetry induces mechanical tension, and drives daughter cell rearrangements, which eventually
determine the shape of the microcolonies.
Informed by experimental data, we develop a quantitative model of microcolony morphogenesis that
enables the prediction of bacterial adhesion strength from simple time-lapse measurements.
Our results demonstrate how patterns of surface colonization derive from the spatial distribution of
adhesive factors on the cell envelope.

| | |
|:---|---|
| Link | https://www.nature.com/articles/s41467-018-03446-y |
| DOI | [10.1038/s41467-018-03446-y](http://dx.doi.org/10.1038/s41467-018-03446-y) |
| License | [CC BY-NC-ND 4.0 DE](https://creativecommons.org/licenses/by/4.0/deed.en) |

## Obtaining the Data
We provide a small python script `obtain.py` in order to obtain the movie, extract images and sort
them into subfolders.
The script requires `ffmpeg` to be installed.

```bash
python3 obtain.py
```
